## org.cybergarage.upnp
Class Icon

    java.lang.Object
      org.cybergarage.upnp.Icon

    public class Icon

extends java.lang.Object

Field Summary
`static java.lang.String` `ELEM_NAME`

Constructor Summary
`Icon(Node node)`

Method Summary
`java.lang.String` `getDepth()`
`java.lang.String` `getHeight()`
`Node` `getIconNode()`
`java.lang.String` `getMimeType()`
`java.lang.String` `getURL()`
`java.lang.String` `getWidth()`
`static boolean` `isIconNode(Node node)`
`void` `setDepth(java.lang.String value)`
`void` `setHeight(java.lang.String value)`
`void` `setMimeType(java.lang.String value)`
`void` `setURL(java.lang.String value)`
`void` `setWidth(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELEM_NAME

    public static final java.lang.String ELEM_NAME

See Also:
  Constant Field Values

Constructor Detail

### Icon

    public Icon(Node node)

Method Detail

### getIconNode

    public Node getIconNode()

### isIconNode

    public static boolean isIconNode(Node node)

### setMimeType

    public void setMimeType(java.lang.String value)

### getMimeType

    public java.lang.String getMimeType()

### setWidth

    public void setWidth(java.lang.String value)

### getWidth

    public java.lang.String getWidth()

### setHeight

    public void setHeight(java.lang.String value)

### getHeight

    public java.lang.String getHeight()

### setDepth

    public void setDepth(java.lang.String value)

### getDepth

    public java.lang.String getDepth()

### setURL

    public void setURL(java.lang.String value)

### getURL

    public java.lang.String getURL()